%define debug_package %{nil}
Name:          kylin-burner
Version:       3.10.2
Release:       2
Summary:       CD/DVD burning application for UKUI.
License:       GPL-3.0-or-later
URL:           https://github.com/UbuntuKylin/kylin-burner
Source0:       %{name}-%{version}.tar.gz

BuildRequires: cmake
BuildRequires: qt5-qtx11extras-devel
BuildRequires: libX11-devel
BuildRequires: gsettings-qt-devel
BuildRequires: qt5-qtbase-devel
BuildRequires: ukui-interface

Requires:      gsettings-qt-devel
Requires:      cdrdao
Requires:      libburn
Requires:      cdrkit
Requires:      dvd+rw-tools
Requires:      udisks2


%description
CD/DVD burning application for UKUI.

%prep
%setup -q

%build
mkdir cmake-build
pushd cmake-build
cmake .. -DCMAKE_INSTALL_PREFIX=/usr
make
popd 

%install
pushd cmake-build
%{make_install} INSTALL_ROOT=%{buildroot}
popd 

%files
%{_bindir}/kylin-burner
%{_datadir}/applications/kylin-burner.desktop
%{_datadir}/kylin-user-guide/data/guide/kylin-burner/*
%{_datadir}/locale/zh_CN/LC_MESSAGES/kylin-burner.mo

%changelog
* Thu May 26 2022 peijiankang <peijiankang@kylinos.cn> - 3.10.2-2
- remove {%if 0 and %endif}

* Tue May 24 2022 peijiankang <peijiankang@kylinos.cn> - 3.10.2-1
- Init kylin-burner package for openEuler
